opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | List of all members
cv::FlannBasedMatcher Class Reference

`#include <features2d.hpp>`

Inheritance diagram for cv::FlannBasedMatcher:

## Public Member Functions

virtual void | add (const vector< Mat > &descriptors)
virtual void | clear ()
virtual Ptr< DescriptorMatcher > | clone (bool emptyTrainData=false) const
| FlannBasedMatcher (const Ptr< flann::IndexParams > &indexParams=new flann::KDTreeIndexParams(), const Ptr< flann::SearchParams > &searchParams=new flann::SearchParams())
virtual bool | isMaskSupported () const
virtual void | train ()
Public Member Functions inherited from cv::DescriptorMatcher
bool | empty () const
const vector< Mat > & | getTrainDescriptors () const
void | knnMatch (const Mat &queryDescriptors, const Mat &trainDescriptors, vector< vector< DMatch > > &matches, int k, const Mat &mask=Mat(), bool compactResult=false) const
void | knnMatch (const Mat &queryDescriptors, vector< vector< DMatch > > &matches, int k, const vector< Mat > &masks=vector< Mat >(), bool compactResult=false)
void | match (const Mat &queryDescriptors, const Mat &trainDescriptors, vector< DMatch > &matches, const Mat &mask=Mat()) const
void | match (const Mat &queryDescriptors, vector< DMatch > &matches, const vector< Mat > &masks=vector< Mat >())
void | radiusMatch (const Mat &queryDescriptors, const Mat &trainDescriptors, vector< vector< DMatch > > &matches, float maxDistance, const Mat &mask=Mat(), bool compactResult=false) const
void | radiusMatch (const Mat &queryDescriptors, vector< vector< DMatch > > &matches, float maxDistance, const vector< Mat > &masks=vector< Mat >(), bool compactResult=false)
virtual void | read (const FileNode &)
virtual void | write (FileStorage &) const
virtual | ~DescriptorMatcher ()

## Protected Member Functions

virtual void | knnMatchImpl (const Mat &queryDescriptors, vector< vector< DMatch > > &matches, int k, const vector< Mat > &masks=vector< Mat >(), bool compactResult=false)
virtual void | radiusMatchImpl (const Mat &queryDescriptors, vector< vector< DMatch > > &matches, float maxDistance, const vector< Mat > &masks=vector< Mat >(), bool compactResult=false)
Protected Member Functions inherited from cv::DescriptorMatcher
void | checkMasks (const vector< Mat > &masks, int queryDescriptorsCount) const

## Static Protected Member Functions

static void | convertToDMatches (const DescriptorCollection &descriptors, const Mat &indices, const Mat &distances, vector< vector< DMatch > > &matches)
Static Protected Member Functions inherited from cv::DescriptorMatcher
static Mat | clone_op (Mat m)
static bool | isMaskedOut (const vector< Mat > &masks, int queryIdx)
static bool | isPossibleMatch (const Mat &mask, int queryIdx, int trainIdx)

## Protected Attributes

int | addedDescCount
Ptr< flann::Index > | flannIndex
Ptr< flann::IndexParams > | indexParams
DescriptorCollection | mergedDescriptors
Ptr< flann::SearchParams > | searchParams
Protected Attributes inherited from cv::DescriptorMatcher
vector< Mat > | trainDescCollection

## Additional Inherited Members

Static Public Member Functions inherited from cv::DescriptorMatcher
static Ptr< DescriptorMatcher > | create (const string &descriptorMatcherType)

## Constructor & Destructor Documentation

cv::FlannBasedMatcher::FlannBasedMatcher | ( | const Ptr< flann::IndexParams > & | indexParams = `new flann::KDTreeIndexParams()`,
|  | const Ptr< flann::SearchParams > & | searchParams = `new flann::SearchParams()`
| ) |  |

## Member Function Documentation

virtual void cv::FlannBasedMatcher::add | ( | const vector< Mat > & | descriptors | ) |

virtual

Reimplemented from cv::DescriptorMatcher.

virtual void cv::FlannBasedMatcher::clear | ( |  | ) |

virtual

Reimplemented from cv::DescriptorMatcher.

virtual Ptr<DescriptorMatcher> cv::FlannBasedMatcher::clone | ( | bool | emptyTrainData = `false` | ) | const

virtual

Implements cv::DescriptorMatcher.

static void cv::FlannBasedMatcher::convertToDMatches | ( | const DescriptorCollection & | descriptors,
|  | const Mat & | indices,
|  | const Mat & | distances,
|  | vector< vector< DMatch > > & | matches
| ) |  |

static protected

virtual bool cv::FlannBasedMatcher::isMaskSupported | ( |  | ) | const

virtual

Implements cv::DescriptorMatcher.

virtual void cv::FlannBasedMatcher::knnMatchImpl | ( | const Mat & | queryDescriptors,
|  | vector< vector< DMatch > > & | matches,
|  | int | k,
|  | const vector< Mat > & | masks = `vector< Mat >()`,
|  | bool | compactResult = `false`
| ) |  |

protected virtual

Implements cv::DescriptorMatcher.

virtual void cv::FlannBasedMatcher::radiusMatchImpl | ( | const Mat & | queryDescriptors,
|  | vector< vector< DMatch > > & | matches,
|  | float | maxDistance,
|  | const vector< Mat > & | masks = `vector< Mat >()`,
|  | bool | compactResult = `false`
| ) |  |

protected virtual

Implements cv::DescriptorMatcher.

virtual void cv::FlannBasedMatcher::train | ( |  | ) |

virtual

Reimplemented from cv::DescriptorMatcher.

## Member Data Documentation

int cv::FlannBasedMatcher::addedDescCount

protected

Ptr<flann::Index> cv::FlannBasedMatcher::flannIndex

protected

Ptr<flann::IndexParams> cv::FlannBasedMatcher::indexParams

protected

DescriptorCollection cv::FlannBasedMatcher::mergedDescriptors

protected

Ptr<flann::SearchParams> cv::FlannBasedMatcher::searchParams

protected

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp